import ee
from ee_plugin import Map

Map.setCenter(lon = 20.65, lat = 47.6, zoom = 11) # Tisza-tó
kozeppont = Map.getCenter()

januar = ee.ImageCollection("LANDSAT/LC09/C02/T1_L2") \
	.filterBounds(kozeppont) \
	.filterDate("2023-01-01", "2023-01-30") \
	.first()

januar_valogatott_retegei = januar.select(["SR_B5", "SR_B1"], ["infravoros", "ultraibolya"])
januar_valogatott_retegei = januar_valogatott_retegei.slice(-1)
januar_valogatott_retegei.bandTypes().getInfo()["ultraibolya"] # {'type': 'PixelType', 'precision': 'int', 'min': 0, 'max': 65535}

megfelelo_cellak = januar_valogatott_retegei.log10().gte(4).Not().And(januar.select("SR_B3").neq(januar.select("SR_B4")))
megfelelo_cellak = megfelelo_cellak.rename("megfelelo_cellak")
januar = januar.addBands(megfelelo_cellak)
Map.addLayer(eeObject = januar.select("megfelelo_cellak"), visParams = {"min": 0, "max": 1}, name = "összetett feltételnek megfelelő cellák")

