import ee
from ee_plugin import Map

def NDVIt_szamol_es_hozzaad(raszter):
	NDVI = raszter.normalizedDifference([kozeli_infravoros_neve, piros_neve]) # az eredményréteg neve "nd"
	NDVI = NDVI.rename("ndvi")
	raszter = raszter.addBands(NDVI)
	return raszter

rasztergyujtemeny = ee.ImageCollection("LANDSAT/LC09/C02/T1_L2") \
	.filterBounds(ee.Geometry.LineString([[18.4, 46.1], [21.3, 46.9]])) \
	.filterDate("2023-04-01", "2023-04-30")
Map.centerObject(rasztergyujtemeny)

kozeli_infravoros_neve = "SR_B5"
piros_neve = "SR_B4"
landsat_NDVIjal_kiegeszitve = rasztergyujtemeny.map(NDVIt_szamol_es_hozzaad) # for (raszter in rasztergyujtemeny): NDVIt_szamol_es_hozzaad(raszter)

elso_raszter = landsat_NDVIjal_kiegeszitve.first()
elso_raszter.bandNames().getInfo()

megjelenitesi_beallitasok = {
	"min": 0,
	"max": 0.5,
	"palette": ["lightyellow", "palegreen", "lime", "darkgreen"]
}
Map.addLayer(eeObject = landsat_NDVIjal_kiegeszitve.mosaic().select("ndvi"), visParams = megjelenitesi_beallitasok, name = "NDVI")


